## org.apache.lucene.facet.enhancements.association
Class AssociationFloatProperty

    java.lang.Object
      org.apache.lucene.facet.enhancements.association.AssociationProperty
          org.apache.lucene.facet.enhancements.association.AssociationFloatProperty

All Implemented Interfaces:
  Serializable, CategoryProperty

    public class AssociationFloatProperty

extends AssociationProperty

An `AssociationProperty` which treats the association as float - the association bits are actually float bits, and thus merging two associations is done by float summation.

See Also:
  Serialized Form
WARNING: This API is experimental and might change in incompatible ways in the next release.

Field Summary

Fields inherited from class org.apache.lucene.facet.enhancements.association.AssociationProperty
`association`

Constructor Summary
`AssociationFloatProperty(float value)` Constructor.

Method Summary
`boolean` `equals(Object other)`
`float` `getFloatAssociation()`
`int` `hashCode()`
`void` `merge(CategoryProperty other)` When adding categories with properties to a certain document, it is possible that the same category will be added more than once with different instances of the same property.
`String` `toString()`

Methods inherited from class org.apache.lucene.facet.enhancements.association.AssociationProperty
`getAssociation, hasBeenSet`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AssociationFloatProperty

    public AssociationFloatProperty(float value)

  Constructor.

  Parameters:
    `value` - The association value.

Method Detail

### equals

    public boolean equals(Object other)

  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### merge

    public void merge(CategoryProperty other)

  Description copied from interface: `CategoryProperty`
  When adding categories with properties to a certain document, it is possible that the same category will be added more than once with different instances of the same property. This method defined how to treat such cases, by merging the newly added property into the one previously added. Implementing classes can assume that this method will be called only with a property of the same class.

  Parameters:
    `other` - The category property to merge.

### getFloatAssociation

    public float getFloatAssociation()

### toString

    public String toString()

  Overrides:
    `toString` in class `AssociationProperty`